### Hierarchy

- RecordVisitor
  - SelectedWorkPackageVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- CREATION_DATE_PROPERTY_NAME
- DESCRIPTION_PROPERTY_NAME
- DISCIPLINES_PROPERTY_NAME
- ID_PROPERTY_NAME
- LAST_UPDATE_DATE_PROPERTY_NAME
- NAME_PROPERTY_NAME

### Methods

- copyAsJsonObject
- copyAsJsonString
- creationDate
- description
- disciplines
- enclosedJsonObject
- id
- lastUpdateDate
- name
- setCreationDate
- setDescription
- setDisciplines
- setId
- setLastUpdateDate
- setName
- visitAndSetPropertyValueAt
- visitProperties
- visitPropertyValueAt
- visitRecordId
- createFromWorkPackageVisitor
- visitAndSetPropertyValueAt
- visitPropertyValueAt

## Constructors

### constructor

- new SelectedWorkPackageVisitor(value: string | object): SelectedWorkPackageVisitor

- Overrides RecordVisitor.constructor

  - Defined in ppm/SelectedWorkPackageVisitor.ts:14

  #### Parameters

  - ##### value: string | object

  #### Returns SelectedWorkPackageVisitor

## Properties

### Static Private CREATION_DATE_PROPERTY_NAME

CREATION_DATE_PROPERTY_NAME: string = "Creation_Date"

- Defined in ppm/SelectedWorkPackageVisitor.ts:9

### Static Private DESCRIPTION_PROPERTY_NAME

DESCRIPTION_PROPERTY_NAME: string = "Description"

- Defined in ppm/SelectedWorkPackageVisitor.ts:10

### Static Private DISCIPLINES_PROPERTY_NAME

DISCIPLINES_PROPERTY_NAME: string = "Disciplines"

- Defined in ppm/SelectedWorkPackageVisitor.ts:11

### Static Private ID_PROPERTY_NAME

ID_PROPERTY_NAME: string = "Id"

- Defined in ppm/SelectedWorkPackageVisitor.ts:12

### Static Private LAST_UPDATE_DATE_PROPERTY_NAME

LAST_UPDATE_DATE_PROPERTY_NAME: string = "Last_Update_Date"

- Defined in ppm/SelectedWorkPackageVisitor.ts:13

### Static Private NAME_PROPERTY_NAME

NAME_PROPERTY_NAME: string = "Name"

- Defined in ppm/SelectedWorkPackageVisitor.ts:14

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  Inherited from RecordVisitor.copyAsJsonObject

  - Defined in proxy/RecordVisitor.ts:44

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  Inherited from RecordVisitor.copyAsJsonString

  - Defined in proxy/RecordVisitor.ts:48

  #### Returns string

### creationDate

- creationDate(): string

- - Defined in ppm/SelectedWorkPackageVisitor.ts:40

  #### Returns string

### description

- description(): string

- - Defined in ppm/SelectedWorkPackageVisitor.ts:48

  #### Returns string

### disciplines

- disciplines(): string

- - Defined in ppm/SelectedWorkPackageVisitor.ts:56

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  Inherited from RecordVisitor.enclosedJsonObject

  - Defined in proxy/RecordVisitor.ts:52

  #### Returns any

### id

- id(): string

- - Defined in ppm/SelectedWorkPackageVisitor.ts:64

  #### Returns string

### lastUpdateDate

- lastUpdateDate(): string

- - Defined in ppm/SelectedWorkPackageVisitor.ts:72

  #### Returns string

### name

- name(): string

- - Defined in ppm/SelectedWorkPackageVisitor.ts:80

  #### Returns string

### setCreationDate

- setCreationDate(value: string): void

- - Defined in ppm/SelectedWorkPackageVisitor.ts:44

  #### Parameters

  - ##### value: string

  #### Returns void

### setDescription

- setDescription(value: string): void

- - Defined in ppm/SelectedWorkPackageVisitor.ts:52

  #### Parameters

  - ##### value: string

  #### Returns void

### setDisciplines

- setDisciplines(value: string): void

- - Defined in ppm/SelectedWorkPackageVisitor.ts:60

  #### Parameters

  - ##### value: string

  #### Returns void

### setId

- setId(value: string): void

- - Defined in ppm/SelectedWorkPackageVisitor.ts:68

  #### Parameters

  - ##### value: string

  #### Returns void

### setLastUpdateDate

- setLastUpdateDate(value: string): void

- - Defined in ppm/SelectedWorkPackageVisitor.ts:76

  #### Parameters

  - ##### value: string

  #### Returns void

### setName

- setName(value: string): void

- - Defined in ppm/SelectedWorkPackageVisitor.ts:84

  #### Parameters

  - ##### value: string

  #### Returns void

### visitAndSetPropertyValueAt

- visitAndSetPropertyValueAt(propertyName: string, value: any): void

- Inherited from RecordVisitor.visitAndSetPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:67

  #### Parameters

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### visitProperties

- visitProperties(): IterableIterator<PropertyVisitor>

- Inherited from RecordVisitor.visitProperties

  - Defined in proxy/RecordVisitor.ts:87

  #### Returns IterableIterator<PropertyVisitor>

### visitPropertyValueAt

- visitPropertyValueAt(propertyName: string): any

- Inherited from RecordVisitor.visitPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:58

  #### Parameters

  - ##### propertyName: string

  #### Returns any

### visitRecordId

- visitRecordId(): string

- Inherited from RecordVisitor.visitRecordId

  - Defined in proxy/RecordVisitor.ts:94

  #### Returns string

### Static createFromWorkPackageVisitor

- createFromWorkPackageVisitor(workPackageVisitor: WorkPackageVisitor): SelectedWorkPackageVisitor

- - Defined in ppm/SelectedWorkPackageVisitor.ts:22

  #### Parameters

  - ##### workPackageVisitor: WorkPackageVisitor

  #### Returns SelectedWorkPackageVisitor

### Static visitAndSetPropertyValueAt

- visitAndSetPropertyValueAt(record: object, propertyName: string, value: any): void

- Inherited from RecordVisitor.visitAndSetPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:38

  #### Parameters

  - ##### record: object

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### Static visitPropertyValueAt

- visitPropertyValueAt(record: object, propertyName: string): any

- Inherited from RecordVisitor.visitPropertyValueAt

  - Defined in proxy/RecordVisitor.ts:34

  #### Parameters

  - ##### record: object

  - ##### propertyName: string

  #### Returns any

Generated using TypeDoc